%define upstream_name    Dist-Zilla
%define upstream_version 1.092680

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Something that provides a version number for the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires: perl(App::Cmd)
Buildrequires: perl(Archive::Tar)
Buildrequires: perl(CPAN::Uploader)
Buildrequires: perl(Config::INI::MVP::Reader)
Buildrequires: perl(Data::Section)
Buildrequires: perl(DateTime)
Buildrequires: perl-ExtUtils-Manifest
Buildrequires: perl(File::Find::Rule)
Buildrequires: perl(File::HomeDir)
Buildrequires: perl(File::chdir)
Buildrequires: perl(Hash::Merge::Simple)
Buildrequires: perl(List::MoreUtils)
Buildrequires: perl(Mixin::ExtraFields::Param)
Buildrequires: perl(Moose)
Buildrequires: perl(Moose::Autobox)
Buildrequires: perl(MooseX::Types::Path::Class)
Buildrequires: perl(Path::Class)
Buildrequires: perl(Perl::Version)
Buildrequires: perl(Pod::Eventual)
Buildrequires: perl(Software::License)
Buildrequires: perl(String::Flogger)
Buildrequires: perl(String::Format)
Buildrequires: perl(String::RewritePrefix)
Buildrequires: perl(Text::Template)
Buildrequires: perl(YAML::Tiny)
Buildrequires: perl(autobox)
Buildrequires: perl(namespace::autoclean)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Requires: perl(namespace::autoclean)
Requires: perl(Config::INI::MVP::Reader)
Requires: perl(Pod::Eventual)

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like the ExtUtils::MakeMaker manpage, the Module::Build
manpage, or the Module::Install manpage. Unlike those tools, however, it is
not also a system for installing code that has been downloaded from the
CPAN. Since it's only run by authors, and is meant to be run on a
repository checkout rather than on published, released code, it can do much
more than those tools, and is free to make much more ludicrous demands in
terms of prerequisites.

For more information, see the Dist::Zilla::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std
install -d %{buildroot}/etc/bash_completion.d/
install -m 644 misc/dzil-bash_completion %{buildroot}/etc/bash_completion.d/dzil

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/dzil
/etc/bash_completion.d/dzil


%changelog
* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.680-1mdv2010.0
+ Revision: 449993
- update to 1.092680

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.450-1mdv2010.0
+ Revision: 432804
- update to 1.092450

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.400-1mdv2010.0
+ Revision: 422885
- update to 1.092400

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.390-1mdv2010.0
+ Revision: 421821
- update to 1.092390

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.360-1mdv2010.0
+ Revision: 421132
- update to 1.092360

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.310-1mdv2010.0
+ Revision: 418104
- update to 1.092310

* Sun Aug 09 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.200-2mdv2010.0
+ Revision: 411939
- installing dzil bash completion

* Sat Aug 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.200-1mdv2010.0
+ Revision: 411744
- update to 1.092200

* Mon Jul 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.71-4mdv2010.0
+ Revision: 400545
- update to 1.092071

* Sun Jul 26 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.70-4mdv2010.0
+ Revision: 400204
- update to 1.092070

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.940-4mdv2010.0
+ Revision: 396403
- update to 1.91940

* Tue Jun 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-4mdv2010.0
+ Revision: 390914
- adding another missing requires:

* Tue Jun 30 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-3mdv2010.0
+ Revision: 390885
- adding missing requires:

* Mon Jun 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-2mdv2010.0
+ Revision: 390721
- forgot to bump %%mkrel
- adding missing requires:

* Fri Jun 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.610-1mdv2010.0
+ Revision: 387277
- update to new version 1.091610
- replacing source url, since top-level dist is not created on cpan

* Sat Jun 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.91.480-1mdv2010.0
+ Revision: 383346
- updating buildrequires:
- updating buildrequires:
- adding missing buildrequires:
- import perl-Dist-Zilla


* Fri May 29 2009 cpan2dist 1.091480-1mdv
- initial mdv release, generated with cpan2dist

